library ieee;
use ieee.std_logic_1164.all;

entity BoardTest is
port
(
    Clk:		 in	std_logic;
    Reset:		 in     std_logic;
	
    DipSwitch:	 in	std_logic_vector(7 downto 0);
    Led:		 out	std_logic_vector(7 downto 0)
);
end BoardTest;

architecture BoardTest of BoardTest is



begin

   process(Clk, Reset, DipSwitch)
	begin
		if rising_edge(Clk) then
			if Reset ='0'   then
            Led <= x"00";
         else
				Led <= DipSwitch;	
			end if;
      end if; 
	end process;

end BoardTest;




